#!/bin/bash
#你要修改的地方从这里开始
MYSQL_USER=123                  #mysql用户名
MYSQL_PASS=abc        #mysql密码
WEB_DATA=/data/wwwroot           #要备份的网站数据
PassWord=123456789               #压缩密码
#你要修改的地方从这里结束

#定义数据库和网站名字
DataBakName=data_$(date +"%Y%m%d_%H_00").zip
WebBakName=web_$(date +%Y%m%d_%H_00).zip

cd /data/backup
#导出数据库,一个数据库一个压缩文件
for db in `/usr/local/mysql/bin/mysql -u$MYSQL_USER -p$MYSQL_PASS -B -N -e 'SHOW DATABASES' | xargs`; do
    (/usr/local/mysql/bin/mysqldump -u$MYSQL_USER -p$MYSQL_PASS ${db} | gzip -9 - > ${db}.sql.gz)
done
#压缩数据库文件为一个文件
zip -q -r -P $PassWord /data/backup/$DataBakName /data/backup/*.sql.gz
rm -rf /data/backup/*.sql.gz

#压缩网站数据
zip -q -r -P $PassWord /data/backup/$WebBakName $WEB_DATA
cd /data/backup
mkdir $(date +"%Y%m%d_%H_00")
mv data_$(date +"%Y%m%d_%H_00").zip $(date +"%Y%m%d_%H_00")
mv web_$(date +%Y%m%d_%H_00).zip $(date +"%Y%m%d_%H_00")
echo "备份成功，文件夹为：/data/backup/$(date +"%Y%m%d_%H_00")"

#上传到百度云
cd /root/bpcs
php -d disable_functions -d safe_mode=Off -f bpcs_uploader.php upload /data/backup/$(date +"%Y%m%d_%H_00")/data_$(date +"%Y%m%d_%H_00").zip /$(date +"%Y%m%d_%H_00")/data_$(date +"%Y%m%d_%H_00").zip

php -d disable_functions -d safe_mode=Off -f bpcs_uploader.php upload /data/backup/$(date +"%Y%m%d_%H_00")/web_$(date +%Y%m%d_%H_00).zip /$(date +"%Y%m%d_%H_00")/web_$(date +%Y%m%d_%H_00).zip
echo "上传成功！"